#!/bin/bash

GPUS=$1
NB_COMMA=`echo ${GPUS} | tr -cd , | wc -c`

ZS_DATASET="flowers102,oxford_pet,eurosat,food101,sun397,aircraft,cub200,stanfordcars,caltech101,cifar100"

for BASEDIR in results/cifar100/TASK20BA30_0.1BS30_2.0
do
    CUDA_VISIBLE_DEVICES=${GPUS} python zs_test.py --base_dir $BASEDIR --zero_shot_dataset $ZS_DATASET
done
